/* ---------------------------------------------------------------------------
 * Header file of declarations and macro definitions
 * for scan functions.
 *
 * Author : J.B.Lane UCL September 2000                              timscan.h
 * ---------------------------------------------------------------------------
 */

#ifndef TIMSCAN_H
#define TIMSCAN_H

/* Type definitions */

typedef struct TIM_SCAN_CONTROL
{
  int size ;
  int byte ;
  int print ;
  int offset ;
  int orbit ;
  int pipeline ;
  int nextL1ID ;
  int nextBCID ;
  int nextTTID ;
} TIM_SCAN_CONTROL ;

typedef struct TIM_SCAN_RESULTS
{
  int lastL1ID ;
  int lastBCID ;
  int lastTTID ;
  int indexL1A ;
  int countL1A ;
  int countECR ;
  int countBCR ;
  int countCAL ;
  int bitCount ;
  int errors ;
} TIM_SCAN_RESULTS ;

/* Prototypes */

#ifdef __cplusplus
extern "C" {
#endif

struct TIM_SCAN_CONTROL timScanDefaults (void) ;
struct TIM_SCAN_RESULTS timScan (unsigned short *,
                                    const struct TIM_SCAN_CONTROL) ;
struct TIM_SCAN_RESULTS timScanRAM (const struct TIM_SCAN_CONTROL) ;
struct TIM_SCAN_RESULTS scan_run   (const int, const int) ;

#ifdef __cplusplus
}
#endif

#endif
