/* ---------------------------------------------------------------------------
 * Header file of declarations and macro definitions for vme functions.
 *
 * Author : J.B.Lane UCL March 1998                                      vme.h
 * ---------------------------------------------------------------------------
 */

#ifndef VME_H
#define VME_H

#include <stdio.h>

/* Definitions */

/* default VME BASE ADDRESS is set here */

#define VME_BASE_ADDR  0xFF0000
#define VME_BASE_A24   0xF00000
#define VME_BASE_A32 0x0D000000

enum vme_mode  { VME_MODE_A32, VME_MODE_A24 } ; /* { 0, 1} */

/* Prototypes */

#ifdef __cplusplus
extern "C" {
#endif

unsigned short* vme_get_window (const int, const int, const int) ;
void            vme_end (void) ;

#ifdef __cplusplus
}
#endif

#endif
